"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeScreenToAdminUi = void 0;
const path_1 = __importDefault(require("path"));
const addScreenToAdminUi_1 = require("../../../building-blocks/stages/writing/pieces/resource/addScreenToAdminUi");
function writeScreenToAdminUi(gen, screenPaths, entityName, screenName, screenType) {
    const appTsxFilePath = path_1.default.join(screenPaths.srcPath, 'app', 'App.tsx');
    const screenImportPath = path_1.default.join("..", screenPaths.relativeDestPath);
    if (!gen.fs.exists(appTsxFilePath)) {
        gen.log(`Unable to add screen to AdminUI, App.tsx file not found in path '${appTsxFilePath}'`);
    }
    else {
        const appContents = gen.fs.read(appTsxFilePath);
        const appTransformed = addScreenToAdminUi_1.addScreenToAdminUi(appContents, entityName, screenName, screenType, screenImportPath);
        gen.fs.write(appTsxFilePath, appTransformed);
        gen.log(`Screen '${screenType}:${screenName}' added to AdminUI tag in '${appTsxFilePath}'`);
    }
}
exports.writeScreenToAdminUi = writeScreenToAdminUi;
//# sourceMappingURL=writeScreenToAdminUi.js.map