import { AmplicodeComponentOptions } from "../../../building-blocks/stages/options/pieces/amplicode";
import { AmplicodeTemplateModelStage } from "../../../building-blocks/pipelines/amplicodePipeline";
import { BaseTemplateModel } from "../../../building-blocks/stages/template-model/pieces/amplicode/BaseTemplateModel";
import { UtilTemplateModel } from "../../../building-blocks/stages/template-model/pieces/util";
import { GqlAttributeModel } from "../../../building-blocks/stages/template-model/pieces/entity";
export interface AdvancedListAnswers {
    listQuery: string;
    componentName: string;
    deleteMutation?: string;
    orderByArguments?: string[];
    filterByArguments?: string[][];
}
export interface AdvancedListModel extends BaseTemplateModel, UtilTemplateModel {
    componentName: string;
    itemComponentName?: string;
    entityName: string;
    queryName: string;
    queryString: string;
    deleteMutationName?: string;
    deleteMutationString?: string;
    refetchQuery: string;
    attributes: GqlAttributeModel[];
    allAttributes: string[];
    sortableAttrs: string[];
    filters: Array<{
        name: string | string[];
        type: string;
    }>;
    withFilters: boolean;
    resultDataPath: string;
    relDirShift: string;
    schema?: string;
}
declare type AdvancedListTemplateModelStage = AmplicodeTemplateModelStage<AmplicodeComponentOptions, AdvancedListAnswers, AdvancedListModel>;
export declare const deriveEntityListTemplateModel: AdvancedListTemplateModelStage;
export {};
